#include "ports.h"

void
set_system_clock_speed ()
{
  /* We start with a 12.5 MHz crystal.  */

  /* 0 = x8  1 = x4  2 = x2  3 = x1 */
  /* ICLK: x8 = 100 MHz  */
  /* PCLK: x4 =  50 MHz   */
  /* BCLK: x2 =  25 MHz   */

  DDR[5] &= ~0x08; /* BCLK */
  /*          B = 8 if BCLK */
  /*         I B P	*/
  SCKCR = 0x01810100;
  /*	     0 = 100 MHz
	     1 =  50 MHz
	     2 =  25 MHz
	     3 =  12 MHz
  */
  DDR[5] |= 0x08; /* BCLK */
  SCKCR &= ~0x00800000;
}
