	.text

	.global	_start
_start:
	mov.l   #0x80000, r14
	mov.l	#0, 0x10[r14]
	mov.l	#0, 0x14[r14]
	mov.l	#0, 0x18[r14]

	mov.l	#0x8c000, r7	; DDR
	mov.l	#0x8c020, r8	; DR

	mov.b	#0x40, 2[r7]	; P2.6 = nCS5
	mov.b	#0x01, 5[r7]	; P5.0 = nWR0
	mov.b	#0x22, 6[r7]	; P6.1 = nSDCS, P6.5 = CKE
	mov.b	#0x01, 7[r7]	; P7.0 = CLK
	mov.b	#0x02, 9[r7]	; P9.1 = PROGB
	mov.b	#0xff, 13[r7]	; LEDs

	mov.b	#0x00, 2[r8]	; CS5
	mov.b	#0x00, 5[r8]	; nWR0
	mov.b	#0xff, 6[r8]	; nSDCS, CKE
	mov.b	#0x00, 9[r8]	; PROGB
	
	mov.b	#0xff, 7[r8]	; CLK
	mov.b	#0x00, 7[r8]	; CLK
	mov.b	#0xff, 7[r8]	; CLK
	mov.b	#0x00, 7[r8]	; CLK

top:
	add	#0x01000, r1
	adc	#0, r2
	mov.b	r2, 13[r8]
	bra	top
